[arch-commits] Commit in xfce4-netload-plugin/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Thu May 14 13:11:50 EDT 2009


    Date: Thursday, May 14, 2009 @ 13:11:50
  Author: andyrtr
Revision: 39287

Merged revisions 356,39285 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/xfce4-netload-plugin/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sa, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r39285 | andyrtr | 2009-05-14 19:08:50 +0200 (Do, 14 Mai 2009) | 2 lines
  
  upgpkg: xfce4-netload-plugin 0.4.0-5
      fix missing tooltip caused by new gtk; added intltool makedep
........

Added:
  xfce4-netload-plugin/repos/extra-i686/missing_tooltip.diff
    (from rev 39285, xfce4-netload-plugin/trunk/missing_tooltip.diff)
Modified:
  xfce4-netload-plugin/repos/extra-i686/	(properties)
  xfce4-netload-plugin/repos/extra-i686/PKGBUILD

----------------------+
 PKGBUILD             |   13 ++++++++-----
 missing_tooltip.diff |   17 +++++++++++++++++
 2 files changed, 25 insertions(+), 5 deletions(-)


Property changes on: xfce4-netload-plugin/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /xfce4-netload-plugin/trunk:1
   + /xfce4-netload-plugin/trunk:1-39286

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-14 17:09:29 UTC (rev 39286)
+++ extra-i686/PKGBUILD	2009-05-14 17:11:50 UTC (rev 39287)
@@ -4,20 +4,23 @@
 
 pkgname=xfce4-netload-plugin
 pkgver=0.4.0
-pkgrel=4
+pkgrel=5
 pkgdesc="A netload plugin for the Xfce panel"
 arch=(i686 x86_64)
 license=('GPL2')
 url="http://xfce-goodies.berlios.de/"
 groups=('xfce4-goodies')
-depends=('xfce4-panel')
-makedepends=('pkgconfig')
+depends=('xfce4-panel>=4.6.1')
+makedepends=('pkgconfig' 'intltool')
 options=('!libtool')
-source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('a15ee479089ba7703c5dde33ff439573')
+source=(http://goodies.xfce.org/releases/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	missing_tooltip.diff)
+md5sums=('a15ee479089ba7703c5dde33ff439573'
+         '66a412b73712cab71447ba740e49e8d6')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
+  patch -Np0 -i $srcdir/missing_tooltip.diff || return 1
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static
   make || return 1

Copied: xfce4-netload-plugin/repos/extra-i686/missing_tooltip.diff (from rev 39285, xfce4-netload-plugin/trunk/missing_tooltip.diff)
===================================================================
--- extra-i686/missing_tooltip.diff	                        (rev 0)
+++ extra-i686/missing_tooltip.diff	2009-05-14 17:11:50 UTC (rev 39287)
@@ -0,0 +1,17 @@
+--- panel-plugin/netload.c	2009-05-14 17:03:57.987823647 +0000
++++ panel-plugin/netload.c.new	2009-05-14 17:04:10.663656158 +0000
+@@ -237,6 +237,14 @@
+ 
+     if (global->monitor->options.update_interval > 0)
+     {
++        /* reduce the default tooltip timeout to be smaller than the update interval otherwise
++         * we won't see tooltips on GTK 2.16 or newer */
++        GtkSettings *settings;
++        settings = gtk_settings_get_default();
++        if (g_object_class_find_property(G_OBJECT_GET_CLASS(settings), "gtk-tooltip-timeout"))
++            g_object_set(settings, "gtk-tooltip-timeout",
++                global->monitor->options.update_interval - 10, NULL);
++
+         global->timeout_id =  g_timeout_add( global->monitor->options.update_interval, 
+             (GtkFunction)update_monitors, global);
+     }



More information about the arch-commits mailing list